%define	rel	2.6.34
Summary: 	The Advanced Linux Sound Architecture (ALSA) (OSS) library
Name: 		alsa-oss
Version: 	1.0.17
Release: 	1
License: 	GPL
Group: 		Libraries
URL:            http://www.alsa-project.org/
Source: 	ftp://ftp.alsa-project.org/pub/lib/%{name}-%{version}%{?prever}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	linux-headers >= %{rel} alsa-lib-devel >= %{version}

%description
Advanced Linux Sound Architecture (ALSA) - (Open Sound System (OSS) Library

- general
  - modularized architecture with support for 2.6.x
  - support for versioned and exported symbols
  - full proc filesystem support - /proc/sound
- ISA soundcards
  - support for 128k ISA DMA buffer
- mixer
  - new enhanced API for applications
  - support for unlimited number of channels
  - volume can be set in three ways (percentual (0-100), exact and
    decibel)
  - support for mute (and hardware mute if hardware supports it)
  - support for mixer events
    - this allows two or more applications to be synchronized
- digital audio (PCM)
  - new enhanced API for applications
  - full real duplex support
  - full duplex support for SoundBlaster 16/AWE soundcards
  - digital audio data for playback and record should be read back using
    proc filesystem
- OSS/Lite compatibility
  - full mixer compatibity
  - full PCM (/dev/dsp) compatibility

%package 	devel
Summary: 	Static libraries and header files from the ALSA library
Group: 		Development

%description 	devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes the ALSA OSS development libraries.
Advanced Linux Sound Architecture (ALSA) - (OSS) Library

%prep
%setup -q

%build
%configure \
    --enable-static=yes \
    --program-prefix=%{?_program_prefix}
#make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_bindir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}

%files devel
%defattr(-, root, root, 0755)
%{_includedir}
%{_libdir}/*.a
